Bug 1773366 - [abrt] freecad: PartGui::ArcEngine::initClass(): FreeCAD killed by SIGABRT
Summary: [abrt] freecad: PartGui::ArcEngine::initClass(): FreeCAD killed by SIGABRT
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: freecad
Version: 31
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Shaw
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:c985ab84be6445073cc520b3e6a...
Depends On:
Blocks: 1784153
TreeView+ depends on / blocked
 
Reported: 2019-11-17 22:58 UTC by Andrig Miller
Modified: 2020-01-07 18:20 UTC (History)
5 users (show)

Fixed In Version: freecad-0.18.4-3.fc30 freecad-0.18.4-3.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-04 22:15:00 UTC


Attachments (Terms of Use)
File: backtrace (234.54 KB, text/plain)
2019-11-17 22:58 UTC, Andrig Miller
no flags Details
File: core_backtrace (38.68 KB, text/plain)
2019-11-17 22:58 UTC, Andrig Miller
no flags Details
File: cpuinfo (2.37 KB, text/plain)
2019-11-17 22:58 UTC, Andrig Miller
no flags Details
File: dso_list (25.87 KB, text/plain)
2019-11-17 22:58 UTC, Andrig Miller
no flags Details
File: environ (2.07 KB, text/plain)
2019-11-17 22:58 UTC, Andrig Miller
no flags Details
File: limits (1.29 KB, text/plain)
2019-11-17 22:58 UTC, Andrig Miller
no flags Details
File: maps (163.76 KB, text/plain)
2019-11-17 22:58 UTC, Andrig Miller
no flags Details
File: mountinfo (2.73 KB, text/plain)
2019-11-17 22:58 UTC, Andrig Miller
no flags Details
File: open_fds (1.95 KB, text/plain)
2019-11-17 22:58 UTC, Andrig Miller
no flags Details
File: proc_pid_status (1.32 KB, text/plain)
2019-11-17 22:58 UTC, Andrig Miller
no flags Details

Description Andrig Miller 2019-11-17 22:58:03 UTC
Description of problem:
This is the update in the testing updates repository, and since applying it, it crashes on startup.

Version-Release number of selected component:
1:freecad-0.18.4-1.fc31

Additional info:
reporter:       libreport-2.10.1
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/user@1000.service/gnome-shell-x11.service
cmdline:        FreeCAD
crash_function: PartGui::ArcEngine::initClass
executable:     /usr/lib64/freecad/bin/FreeCAD
journald_cursor: s=27daa3e451f14bbbb19107016491f5bb;i=78d8;b=1c16f2bb7f584901b431906ce2289a75;m=76b6dbb01;t=59792881eaadc;x=b08ae7ad90a86faf
kernel:         5.3.11-300.fc31.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 0 (10 frames)
 #4 PartGui::ArcEngine::initClass at /usr/src/debug/freecad-0.18.4-1.fc31.x86_64/src/Mod/Part/Gui/TaskDimension.cpp:1199
 #5 PyInit_PartGui at /usr/src/debug/freecad-0.18.4-1.fc31.x86_64/src/Mod/Part/Gui/AppPartGui.cpp:193
 #6 _PyImport_LoadDynamicModuleWithSpec at /usr/src/debug/python3-3.7.5-1.fc31.x86_64/Python/importdl.c:159
 #7 _imp_create_dynamic_impl at /usr/src/debug/python3-3.7.5-1.fc31.x86_64/Python/import.c:2170
 #8 _imp_create_dynamic at /usr/src/debug/python3-3.7.5-1.fc31.x86_64/Python/clinic/import.c.h:289
 #9 _PyMethodDef_RawFastCallDict at /usr/src/debug/python3-3.7.5-1.fc31.x86_64/Objects/call.c:530
 #10 _PyCFunction_FastCallDict at /usr/src/debug/python3-3.7.5-1.fc31.x86_64/Objects/call.c:586
 #11 do_call_core at /usr/src/debug/python3-3.7.5-1.fc31.x86_64/Python/ceval.c:4641
 #12 _PyEval_EvalFrameDefault at /usr/src/debug/python3-3.7.5-1.fc31.x86_64/Python/ceval.c:3191
 #13 _PyEval_EvalCodeWithName at /usr/src/debug/python3-3.7.5-1.fc31.x86_64/Python/ceval.c:3930

Comment 1 Andrig Miller 2019-11-17 22:58:06 UTC
Created attachment 1637136 [details]
File: backtrace

Comment 2 Andrig Miller 2019-11-17 22:58:07 UTC
Created attachment 1637137 [details]
File: core_backtrace

Comment 3 Andrig Miller 2019-11-17 22:58:08 UTC
Created attachment 1637138 [details]
File: cpuinfo

Comment 4 Andrig Miller 2019-11-17 22:58:09 UTC
Created attachment 1637139 [details]
File: dso_list

Comment 5 Andrig Miller 2019-11-17 22:58:10 UTC
Created attachment 1637140 [details]
File: environ

Comment 6 Andrig Miller 2019-11-17 22:58:11 UTC
Created attachment 1637141 [details]
File: limits

Comment 7 Andrig Miller 2019-11-17 22:58:12 UTC
Created attachment 1637142 [details]
File: maps

Comment 8 Andrig Miller 2019-11-17 22:58:13 UTC
Created attachment 1637143 [details]
File: mountinfo

Comment 9 Andrig Miller 2019-11-17 22:58:14 UTC
Created attachment 1637144 [details]
File: open_fds

Comment 10 Andrig Miller 2019-11-17 22:58:15 UTC
Created attachment 1637145 [details]
File: proc_pid_status

Comment 11 Richard Shaw 2019-11-18 01:34:17 UTC
Please try running under Xorg, Freecad does not support Wayland at this time.

Comment 12 malinaizer 2019-11-18 16:10:08 UTC
When you create a sketch, the program crashes.


Show.TempoVis.isIn3DView error: 'NoneType' object has no attribute 'getTail'Program received signal SIGSEGV, Segmentation fault.
#0  /lib64/libc.so.6(+0x3c6b0) [0x7f3cc30276b0]
#1  0x7f3cc2bc173f in SoState::getElement(int) from /lib64/libCoin.so.80+0x15f
#2  0x7f3cc2ad6e9c in SoInt32Element::set(int, SoState*, SoNode*, int) from /lib64/libCoin.so.80+0x2c
#3  0x7f3cc2c1575e in SoSwitch::doAction(SoAction*) from /lib64/libCoin.so.80+0x7e
#4  0x7f3cc2a15c47 in SoAction::traverse(SoNode*) from /lib64/libCoin.so.80+0x67
#5  0x7f3cc2bad2a8 in SoChildList::traverse(SoAction*, int, int) from /lib64/libCoin.so.80+0x168
#6  0x7f3cc2bf83cc in SoGroup::doAction(SoAction*) from /lib64/libCoin.so.80+0x5c
#7  0x7f3cc2c11fdc in SoSeparator::doAction(SoAction*) from /lib64/libCoin.so.80+0x2c
#8  0x7f3cc2a15c47 in SoAction::traverse(SoNode*) from /lib64/libCoin.so.80+0x67
#9  0x7f3cc2a25ab4 in SoSearchAction::beginTraversal(SoNode*) from /lib64/libCoin.so.80+0x54
#10  0x7f3cc2a160ea in SoAction::apply(SoNode*) from /lib64/libCoin.so.80+0x28a
#11  0x7f3cc4f3a021 in Gui::View3DInventorViewer::searchNode(SoNode*) const from /usr/lib64/freecad/lib/libFreeCADGui.so+0x61
#12  0x7f3cc4cb34db in Gui::Document::getViewOfNode(SoNode*) const from /usr/lib64/freecad/lib/libFreeCADGui.so+0x7b
#13  0x7f3c495aebf2 in SketcherGui::ViewProviderSketch::getScaleFactor() from /usr/lib64/freecad/lib/SketcherGui.so+0x42
#14  0x7f3c495bda28 in SketcherGui::ViewProviderSketch::combineConstraintIcons(std::vector<SketcherGui::ViewProviderSketch::constrIconQueueItem, std::allocator<SketcherGui::ViewProviderSketch::constrIconQueueItem> >) from /usr/lib64/freecad/lib/SketcherGui.so+0x38
#15  0x7f3c495bf0d9 in SketcherGui::ViewProviderSketch::drawConstraintIcons() from /usr/lib64/freecad/lib/SketcherGui.so+0xea9
#16  0x7f3c495c435c in SketcherGui::ViewProviderSketch::draw(bool, bool) from /usr/lib64/freecad/lib/SketcherGui.so+0x428c
#17  0x7f3c495d45e1 in SketcherGui::ViewProviderSketch::setEdit(int) from /usr/lib64/freecad/lib/SketcherGui.so+0xba1
#18  0x7f3cc4f5e8b2 in Gui::ViewProvider::startEditing(int) from /usr/lib64/freecad/lib/libFreeCADGui.so+0x42
#19  0x7f3cc4f37d95 in Gui::View3DInventorViewer::setEditingViewProvider(Gui::ViewProvider*, int) from /usr/lib64/freecad/lib/libFreeCADGui.so+0x35
#20  0x7f3cc4cb369d in Gui::Document::setEdit(Gui::ViewProvider*, int) from /usr/lib64/freecad/lib/libFreeCADGui.so+0xfd
#21  0x7f3cc4ccda2c in Gui::DocumentPy::setEdit(_object*) from /usr/lib64/freecad/lib/libFreeCADGui.so+0xac
#22  0x7f3cc4cce58e in Gui::DocumentPy::staticCallback_setEdit(_object*, _object*) from /usr/lib64/freecad/lib/libFreeCADGui.so+0x3e
#23  /lib64/libpython3.7m.so.1.0(_PyMethodDef_RawFastCallKeywords+0x25e) [0x7f3cc409768e]
#24  /lib64/libpython3.7m.so.1.0(_PyCFunction_FastCallKeywords+0x23) [0x7f3cc40977c3]
#25  /lib64/libpython3.7m.so.1.0(+0x141503) [0x7f3cc40ca503]
#26  /lib64/libpython3.7m.so.1.0(_PyEval_EvalFrameDefault+0x55b2) [0x7f3cc41054c2]
#27  /lib64/libpython3.7m.so.1.0(_PyEval_EvalCodeWithName+0x2f0) [0x7f3cc40b7d90]
#28  /lib64/libpython3.7m.so.1.0(PyEval_EvalCodeEx+0x39) [0x7f3cc40b8af9]
#29  /lib64/libpython3.7m.so.1.0(PyEval_EvalCode+0x1b) [0x7f3cc4146e4b]
#30  /lib64/libpython3.7m.so.1.0(+0x1febf3) [0x7f3cc4187bf3]
#31  /lib64/libpython3.7m.so.1.0(PyRun_StringFlags+0x7d) [0x7f3cc4187c8d]
#32  0x7f3cc43d3e2a in Base::InterpreterSingleton::runString[abi:cxx11](char const*) from /usr/lib64/freecad/lib/libFreeCADBase.so+0x6a
#33  0x7f3cc4d11784 in Gui::Command::doCommand(Gui::Command::DoCmd_Type, char const*, ...) from /usr/lib64/freecad/lib/libFreeCADGui.so+0x134
#34  0x7f3c49502a17 in CmdSketcherNewSketch::activated(int) from /usr/lib64/freecad/lib/SketcherGui.so+0x4d7
#35  0x7f3cc4d15c1d in Gui::Command::invoke(int) from /usr/lib64/freecad/lib/libFreeCADGui.so+0x5d
#36  0x7f3cc3658dfb in QMetaObject::activate(QObject*, int, int, void**) from /lib64/libQt5Core.so.5+0x69b
#37  0x7f3cc3a51456 in QAction::triggered(bool) from /lib64/libQt5Widgets.so.5+0x46
#38  0x7f3cc3a53b12 in QAction::activate(QAction::ActionEvent) from /lib64/libQt5Widgets.so.5+0xf2
#39  /lib64/libQt5Widgets.so.5(+0x265a00) [0x7f3cc3b4da00]
#40  0x7f3cc3b4dc25 in QAbstractButton::mouseReleaseEvent(QMouseEvent*) from /lib64/libQt5Widgets.so.5+0xe5
#41  0x7f3cc3c4137e in QToolButton::mouseReleaseEvent(QMouseEvent*) from /lib64/libQt5Widgets.so.5+0xe
#42  0x7f3cc3a9a34e in QWidget::event(QEvent*) from /lib64/libQt5Widgets.so.5+0x24e
#43  0x7f3cc3c41428 in QToolButton::event(QEvent*) from /lib64/libQt5Widgets.so.5+0x38
#44  0x7f3cc3a57ad6 in QApplicationPrivate::notify_helper(QObject*, QEvent*) from /lib64/libQt5Widgets.so.5+0x86
#45  0x7f3cc3a613a3 in QApplication::notify(QObject*, QEvent*) from /lib64/libQt5Widgets.so.5+0x583
#46  0x7f3cc4ce54e8 in Gui::GUIApplication::notify(QObject*, QEvent*) from /usr/lib64/freecad/lib/libFreeCADGui.so+0x88
#47  0x7f3cc362ede8 in QCoreApplication::notifyInternal2(QObject*, QEvent*) from /lib64/libQt5Core.so.5+0x88
#48  0x7f3cc3a604b7 in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&, bool, bool) from /lib64/libQt5Widgets.so.5+0x1b7
#49  /lib64/libQt5Widgets.so.5(+0x1ce0dd) [0x7f3cc3ab60dd]
#50  /lib64/libQt5Widgets.so.5(+0x1d0f6c) [0x7f3cc3ab8f6c]
#51  0x7f3cc3a57ad6 in QApplicationPrivate::notify_helper(QObject*, QEvent*) from /lib64/libQt5Widgets.so.5+0x86
#52  0x7f3cc3a61150 in QApplication::notify(QObject*, QEvent*) from /lib64/libQt5Widgets.so.5+0x330
#53  0x7f3cc4ce54e8 in Gui::GUIApplication::notify(QObject*, QEvent*) from /usr/lib64/freecad/lib/libFreeCADGui.so+0x88
#54  0x7f3cc362ede8 in QCoreApplication::notifyInternal2(QObject*, QEvent*) from /lib64/libQt5Core.so.5+0x88
#55  0x7f3cc19df723 in QGuiApplicationPrivate::processMouseEvent(QWindowSystemInterfacePrivate::MouseEvent*) from /lib64/libQt5Gui.so.5+0x6f3
#56  0x7f3cc19e0f4b in QGuiApplicationPrivate::processWindowSystemEvent(QWindowSystemInterfacePrivate::WindowSystemEvent*) from /lib64/libQt5Gui.so.5+0x26b
#57  0x7f3cc19bd54b in QWindowSystemInterface::sendWindowSystemEvents(QFlags<QEventLoop::ProcessEventsFlag>) from /lib64/libQt5Gui.so.5+0xbb
#58  /lib64/libQt5XcbQpa.so.5(+0x76b5e) [0x7f3cb08edb5e]
#59  /lib64/libglib-2.0.so.0(g_main_context_dispatch+0x160) [0x7f3cc10104a0]
#60  /lib64/libglib-2.0.so.0(+0x51830) [0x7f3cc1010830]
#61  /lib64/libglib-2.0.so.0(g_main_context_iteration+0x33) [0x7f3cc10108d3]
#62  0x7f3cc3683cb5 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) from /lib64/libQt5Core.so.5+0x65
#63  0x7f3cc362dceb in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) from /lib64/libQt5Core.so.5+0x12b
#64  0x7f3cc3635a16 in QCoreApplication::exec() from /lib64/libQt5Core.so.5+0x96
#65  0x7f3cc4c6c3a5 in Gui::Application::runApplication() from /usr/lib64/freecad/lib/libFreeCADGui.so+0x16f5
#66  /usr/lib64/freecad/bin/FreeCAD(main+0x6a6) [0x558c9a99abe6]
#67  /lib64/libc.so.6(__libc_start_main+0xf3) [0x7f3cc30121a3]
#68  /usr/lib64/freecad/bin/FreeCAD(_start+0x2e) [0x558c9a99af4e]

Comment 13 Richard Shaw 2019-11-18 16:15:52 UTC
I recently submitted updates that moves back to Coin3 as the current Coin3D stack (SoQt, SIMVoleon, Pivy, etc) is all built with it. I don't know if it will address this problem or not.

If you want everything built with Coin4, you can use my COPR.

https://copr.fedorainfracloud.org/coprs/hobbes1069/FreeCAD_NEXT/

Comment 14 Richard Shaw 2019-11-18 16:16:26 UTC
It hasn't made it into testing yet but you can monitor it here:

https://bodhi.fedoraproject.org/updates/FEDORA-2019-fa74042038

Comment 15 Fedora Update System 2019-12-18 01:25:34 UTC
Coin4-4.0.0-4.fc31, freecad-0.18.4-3.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-e935331fe6

Comment 16 Fedora Update System 2019-12-18 02:08:48 UTC
Coin4-4.0.0-4.fc30, freecad-0.18.4-3.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-3d88bddf00

Comment 17 Fedora Update System 2019-12-18 09:58:32 UTC
FEDORA-2019-3d88bddf00 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-3d88bddf00

Comment 18 Fedora Update System 2019-12-18 09:58:37 UTC
FEDORA-2019-e935331fe6 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-e935331fe6

Comment 19 Fedora Update System 2020-01-04 22:15:00 UTC
Coin4-4.0.0-4.fc30, freecad-0.18.4-3.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2020-01-05 00:40:17 UTC
Coin4-4.0.0-4.fc31, freecad-0.18.4-3.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Matthew Woehlke 2020-01-07 18:18:00 UTC
freecad-0.18.4-3.fc31 has the same bug:

Show.TempoVis.isIn3DView error: 'NoneType' object has no attribute 'getTail'
Show.TempoVis.isIn3DView error: 'NoneType' object has no attribute 'getTail'
Program received signal SIGSEGV, Segmentation fault.
#0  /lib64/libc.so.6(+0x3c6b0) [0x7f0e580d96b0]
#1  0x7f0e57c73ecf in SoState::getElement(int) from /lib64/libCoin.so.80+0x15f
#2  0x7f0e57b8aa8c in SoInt32Element::set(int, SoState*, SoNode*, int) from /lib64/libCoin.so.80+0x2c
#3  0x7f0e57cc7eee in SoSwitch::doAction(SoAction*) from /lib64/libCoin.so.80+0x7e
#4  0x7f0e57ac9837 in SoAction::traverse(SoNode*) from /lib64/libCoin.so.80+0x67
#5  0x7f0e57c5fa38 in SoChildList::traverse(SoAction*, int, int) from /lib64/libCoin.so.80+0x168
#6  0x7f0e57caab5c in SoGroup::doAction(SoAction*) from /lib64/libCoin.so.80+0x5c
#7  0x7f0e57cc476c in SoSeparator::doAction(SoAction*) from /lib64/libCoin.so.80+0x2c
#8  0x7f0e57ac9837 in SoAction::traverse(SoNode*) from /lib64/libCoin.so.80+0x67
#9  0x7f0e57ad96a4 in SoSearchAction::beginTraversal(SoNode*) from /lib64/libCoin.so.80+0x54
#10  0x7f0e57ac9cda in SoAction::apply(SoNode*) from /lib64/libCoin.so.80+0x28a
#11  0x7f0e5a001021 in Gui::View3DInventorViewer::searchNode(SoNode*) const from /usr/lib64/freecad/lib/libFreeCADGui.so+0x61
#12  0x7f0e59d7a4db in Gui::Document::getViewOfNode(SoNode*) const from /usr/lib64/freecad/lib/libFreeCADGui.so+0x7b
#13  0x7f0de4e17bf2 in SketcherGui::ViewProviderSketch::getScaleFactor() from /usr/lib64/freecad/lib/SketcherGui.so+0x42

Comment 22 Matthew Woehlke 2020-01-07 18:20:34 UTC
Downgrading to freecad-1:0.18.3-2.fc31.x86_64 at least fixes the instant crash on creating/editing a sketch.


Note You need to log in before you can comment on or make changes to this bug.